#version 330 core

layout (location = 0) in vec3 vert;
layout (location = 1) in vec3 vColor;
uniform mat4 M; // Model to world matrix
uniform mat4 V; // World to camera matrix
uniform mat4 P; // Perspective projection

out vec3 color;

void main()
{
    gl_Position = P*V*M*vec4(vert, 1.0);
    color = vColor;
}
